Package net.shibboleth.idp.saml.saml2.nameid.transcoding

# Interface SAML2NameIDTranscoder<EncodedType extends IdPAttributeValue>

Type Parameters:
  `EncodedType` - the type of data that can be handled by the transcoder

All Superinterfaces:
  `AttributeTranscoder<NameID>`, `Component`, `InitializableComponent`

All Known Implementing Classes:
  `AbstractSAML2NameIDTranscoder`, `SAML2ScopedStringNameIDTranscoder`, `SAML2StringNameIDTranscoder`

public interface SAML2NameIDTranscoder<EncodedType extends IdPAttributeValue> extends AttributeTranscoder<NameID>
Marker interface for transcoders that operate on a SAML 2 `NameID`.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`PROP_DEFAULT_QUALIFIERS`
Whether to default in missing qualifiers from the active transaction.
`static final String`
`PROP_NAME_FORMAT`
The NameID format.

## Method Summary

### Methods inherited from interface net.shibboleth.idp.attribute.transcoding.AttributeTranscoder

`decode, encode, getEncodedName, getEncodedType`

### Methods inherited from interface net.shibboleth.shared.component.InitializableComponent

`initialize, isInitialized`

## Field Details

### PROP_NAME_FORMAT

@Nonnull @NotEmpty static final String PROP_NAME_FORMAT
The NameID format.

See Also:
  - Constant Field Values

### PROP_DEFAULT_QUALIFIERS

@Nonnull @NotEmpty static final String PROP_DEFAULT_QUALIFIERS
Whether to default in missing qualifiers from the active transaction.

See Also:
  - Constant Field Values